commit:     f2e94d4acaafb813dae253db31069899b88cd6da
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  3 03:12:10 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Sep  3 03:41:50 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2e94d4a

dev-python/cliff: bup for liberty

 dev-python/cliff/Manifest            |  1 +
 dev-python/cliff/cliff-1.14.0.ebuild | 66 ++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/cliff/Manifest b/dev-python/cliff/Manifest
index f538ad9..d4d754b 100644
--- a/dev-python/cliff/Manifest
+++ b/dev-python/cliff/Manifest
@@ -1,4 +1,5 @@
 DIST cliff-1.10.1.tar.gz 46901 SHA256 
ddfec39bf0de7b53666045c946d495ca070e538e5f92dc19588596c9bcc52c6e SHA512 
9ebf7bcfb901053e91d7b56c92d709acdd71fee00140fc8b5aa2997580c4616a9811947808d943ce61f5aa8c8ea96e941482207781936d8f6df5d1605ce1dcb9
 WHIRLPOOL 
57b82eee91e60a67fae83aa6128f43f173896d8723082206a6ae87e4f341d044d67cdb5bea9e826e71bc88b8beff956daad609607800d63a28436ecb7ef67ed2
 DIST cliff-1.12.0.tar.gz 48052 SHA256 
7609abc1789522fc4e228ea5567a9fd1db3963850396178adca3332cdd9c929a SHA512 
991dd63cb675384f98de63e84bb8be76385ea53e24a3ec4a4a5d098f3b1af1848109773ec6131a58151704e7667afda598e1089f35eda882e52885c5d7e270d8
 WHIRLPOOL 
26de29c7754c6823dc37caf4be8e3f6785a1299675dc09405d38a933e7ce1a10b74f2588e75b417787962d939df21b126f6ab343652de8e9714c9412e2cff19f
 DIST cliff-1.13.0.tar.gz 46997 SHA256 
2b92d12cf1aa59c0cf1914b4b6b02b78daadac890a53d0e6b71b5220661ab9e0 SHA512 
fd2842041bb407472c405cb362e25b87dc6a59dd7f2335254a0484e030c685e38c0290c41b5e2be005bbd5a74589c1d1086a7caf379507d463704ad4614c1aeb
 WHIRLPOOL 
57e654e9c558098d132e941b197e7c0cfc4654a3d339034132cc645898009a82c9d0cb98ffa1def9e81ce93cd8e347185a9d7e680765f43dca2e7dc25cf1737c
+DIST cliff-1.14.0.tar.gz 46656 SHA256 
8aaea62a7ccfad406bc765765a4b6aef9883dacf90bccaaf15c87598b17c1017 SHA512 
29081041a588807856a4744d1bcf2b8b46110ba62281fe56dce5c31759d90c5f96010f72e3c1d32d16998a7b5eab905f1349472178fb3f887682acbc5a622c9c
 WHIRLPOOL 
2c725e74e8fdb4346db134799f980711d614d3293156dfe7e6c2e183ea5821df1a63a65b2ee7d33728d2aafdf23a0fa4f2a30494c6c3680c050b0ecf744e72a4
 DIST cliff-1.8.0.tar.gz 44863 SHA256 
a761e19cf9375739a5db94bba6fbcd2ed1a23484190740bb9631eeb01efdfebf SHA512 
f16eeaf911bf9e613f7a6f85651a48dc43fe373d5ee09523c977ec8f80996610965683dc66b3e4c40dc5c65219046bd015ff4b85e98c70f5a60a0e03e34a58d5
 WHIRLPOOL 
108ea36366a1e82d899c523378101eb4c93a63ba049369b901b4a9586ae7b7801b3e82d705e52aee4feba423d244a76fbc2900dcfbc32295b8f5f451fc211968

diff --git a/dev-python/cliff/cliff-1.14.0.ebuild 
b/dev-python/cliff/cliff-1.14.0.ebuild
new file mode 100644
index 0000000..b872889
--- /dev/null
+++ b/dev-python/cliff/cliff-1.14.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Command Line Interface Formulation Framework"
+HOMEPAGE="https://github.com/dreamhost/cliff";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/pbr-1.3[${PYTHON_USEDEP}]
+       <dev-python/pbr-2.0[${PYTHON_USEDEP}]
+       "
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}] )
+       doc? (
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}] )
+       "
+# source files stipulate <sphinx-1.3 however build effected perfectly with 
sphinx-1.3.1
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/cmd2-0.6.7[${PYTHON_USEDEP}]
+       >=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
+       <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.0.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/unicodecsv-0.8.0[${PYTHON_USEDEP}]
+       "
+
+python_prepare_all() {
+       sed -i '/^argparse/d' requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       nosetests ${PN}/tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to